GCLOUD_KMS_KEYS_SET-ROTATION-SCHEDULE(1)

NAME

gcloud kms keys set-rotation-schedule - update the rotation schedule for a key

SYNOPSIS

gcloud kms keys set-rotation-schedule KEY [--keyring=KEYRING] [--location=LOCATION] [--next-rotation-time=NEXT_ROTATION_TIME] [--rotation-period=ROTATION_PERIOD] [GLOBAL-FLAG ...]

DESCRIPTION
Updates the rotation schedule for the given key. The schedule automatically creates a new primary version for the key according to the --next-rotation-time and --rotation-period flags. The flag --next-rotation-time must be in ISO or RFC3339 format, and --rotation-period must be in the form INTEGER[UNIT], where units can be one of seconds (s), minutes (m), hours (h) or days (d). Key rotations performed manually via update-primary-version and the version create do not affect the stored --next-rotation-time.

POSITIONAL ARGUMENTS

    KEY Name of the key to update the schedule of.

FLAGS

    --keyring=KEYRING
        The containing keyring.

    --location=LOCATION
        The location of the requested resource.

    --next-rotation-time=NEXT_ROTATION_TIME
        Next automatic rotation time of the key.

    --rotation-period=ROTATION_PERIOD
        Automatic rotation period of the key.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command sets a 30 day rotation period for the key named frodo within the keyring fellowship and location global starting at the specified time:
    $ gcloud kms keys set-rotation-schedule frodo \ --location global \ --keyring fellowship \ --rotation-period 30d \ --next-rotation-time 2017-10-12T12:34:56.1234Z